unit Unit2;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, activexcontainer, Forms, Controls, Graphics,
  Dialogs, ComCtrls, ExtCtrls, StdCtrls, shdocvw_1_1_tlb;

type

  { TForm2 }

  TForm2 = class(TForm)
    ActiveXContainer1: TActiveXContainer;
    StatusBar1: TStatusBar;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    Browser: TEvsWebBrowser;
    procedure OnStatusTextChange(Sender: TObject; Text_: WideString);
  public

  end;

var
  Form2: TForm2;

implementation

{$R *.lfm}

{ TForm2 }

procedure TForm2.FormCreate(Sender: TObject);
begin
  Browser := TEvsWebBrowser.Create(Self);
  ActiveXContainer1.ComServer := Browser.ComServer;
  ActiveXContainer1.Active := true;
  Browser.ComServer.Silent := true;
  Browser.OnStatusTextChange := @OnStatusTextChange;
end;

procedure TForm2.FormDestroy(Sender: TObject);
begin
  Browser.Free;
end;

procedure TForm2.FormShow(Sender: TObject);
var
  onull, ourl: Olevariant;
begin
  onull := NULL;
  ourl := UTF8Decode('http://www.lazarus-ide.org/');

  Browser.ComServer.Navigate2(ourl, onull, onull, onull, onull);
end;

procedure TForm2.OnStatusTextChange(Sender: TObject; Text_: WideString);
begin
  StatusBar1.SimpleText := UTF8Encode(Text_);
end;

end.

